cURL
curl --request GET \
--url https://threat-intel-api.abusix.com/beta/tags/{name}/ipsimport requests
url = "https://threat-intel-api.abusix.com/beta/tags/{name}/ips"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://threat-intel-api.abusix.com/beta/tags/{name}/ips', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"statusCode": 200,
"result": {
"tag": "credentials:brute-force",
"entries": [
"1.1.1.1",
"1.2.3.4"
],
"lastUpdate": "<string>",
"total": 123,
"snapshot": "<string>"
}
}{
"status": "failure",
"statusCode": 400,
"errors": {
"$": "<string>"
}
}Tags
Get tags ips
GET
/
tags
/
{name}
/
ips
cURL
Path Parameters
Tag name to lookup
Example:
"credentials:brute-force"
Query Parameters
Required range:
x >= 0Limit of how many entries should be returned at a maximum.
Required range:
1 <= x <= 10000Example:
1000
Snapshot variable from a previous request for the same tag. If you provide this variable, you will iterate over the same dataset as with your previous request(s). If not provided, the underlying data may change while iterating over it as indicated by the snapshot or lastUpdate variable.
Required string length:
24